Einstein GDPR

POST sendGDPRDelete

POST /privacy/{siteId}/delete

Display name: GDPR Delete. Security: AMAuth.

Alerts Einstein when a GDPR delete request is made by the customer or merchant.

Parameters

  • siteId (path, EinsteinSiteIdParam, required)
  • x-cq-client-id (header, ClientIdParam, required)

Request body

Media type: application/json. Schema: object.

  • objects (object, required) The request body supports two parameters - idType and idValue which must be encapsulated by objects key.
    • idType (string, required)

      Indicates the type of ID to identify shopper data. The idType can be a - emailId, userId and cookieId.

      emailId - Email address of the buyer or shopper.

      userId - Unique identifier of a logged-in shopper (for example, a login_id, username, or userId value specific to the Einstein API).

      cookieId - Unique identifier of an anonymous shopper. Typically, the cookieId is the value of a first-party cookie. (See User Identifier Parameters for more information).

    • idValue (string, required) The ID value for the given idType.

Responses

  • 202 A successful response contains delete Id and delete status link.

    Media type: application/json. Schema: GDPRDeleteResponse.

  • 400 A validation error response contains a description of the problem.
  • 403 Either the provided client ID or authorization token was invalid.